import Component from '../../component.js'

export default class CoUxDropdownTreeButton extends Component {
    constructor(parent) {
      let selector = '*[@data-e2e = "ux-dropdown-tree-button"]';
      super(parent, selector);
      this.uxButton = new CoUxButton(this.currentPath);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/src/lib/ux-components/ux-dropdown-tree/ux-dropdown-tree.component.html
    }
// ux-button
    get dropdownButtonCO() {
      return new CoUxButton(this.currentPath);
    }
}


